# Uses of Class
it.tdlight.jni.TdApi.BusinessGreetingMessageSettings

## Uses of TdApi.BusinessGreetingMessageSettings in it.tdlight.jni

Fields in it.tdlight.jni declared as TdApi.BusinessGreetingMessageSettings
Modifier and Type
Field
Description
`TdApi.BusinessGreetingMessageSettings`
TdApi.BusinessInfo.`greetingMessageSettings`
The greeting message; may be null if none or the Business account is not of the current user.
`TdApi.BusinessGreetingMessageSettings`
TdApi.SetBusinessGreetingMessageSettings.`greetingMessageSettings`
The new settings for the greeting message of the business; pass null to disable the greeting message.
Constructors in it.tdlight.jni with parameters of type TdApi.BusinessGreetingMessageSettings
Modifier
Constructor
Description
``
`BusinessInfo(TdApi.BusinessLocation location, TdApi.BusinessOpeningHours openingHours, TdApi.BusinessGreetingMessageSettings greetingMessageSettings, TdApi.BusinessAwayMessageSettings awayMessageSettings)`
Contains information about a Telegram Business account.
``
`SetBusinessGreetingMessageSettings(TdApi.BusinessGreetingMessageSettings greetingMessageSettings)`
Changes the business greeting message settings of the current user.